import { colors } from './color';

export const nodes = [];
export const links = [];

const MAIN_NODE_SIZE = 40;
const CHILD_NODE_SIZE = 15;

// To add the parent nodes
let i=0;
const addMainNode = (node) => {
  node.size = MAIN_NODE_SIZE;
  node.color = colors[i][2];
  nodes.push(node);
};
// To add the child nodes 
const addChildNode = (
  parentNode,
  childNode,
) => {
  childNode.size = CHILD_NODE_SIZE;
	childNode.color = colors[i+2][1];
  nodes.push(childNode);
  links.push({
    source: parentNode,
    target: childNode,
  });
};

let parentNode = { id: 'Snapika'};
let parentNode2= {id: 'Nishith'};

addMainNode(parentNode);
addMainNode(parentNode2);

const childNode = { id:'Jaggu'};
const childNode2 = {id:'Vira'};
const childNode3= {id: 'chandra'};
const childNode4= {id: 'maza'};

addChildNode(parentNode,parentNode2);
addChildNode(parentNode2,childNode);
addChildNode(parentNode2,childNode2);

addChildNode(childNode2, { id:'Raju'});
addChildNode(parentNode, {id:'Sonu'});
addChildNode(parentNode, {id:'Anu'});
addChildNode(parentNode2,{id:'rajesh'});
